let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/8imb44frl4jrgjpq89hcph15s7lffhd0-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/dcxhk5kbjlkkxm2j00vy738ngw99fbjr-coreutils-8.32/bin";
  bzip2 = "/nix/store/vwvfjfddq1p82yl2wgw03115mpn7ldd2-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/ghqkz9wj8s22mj258icwk860r8718vrf-gzip-1.10/bin/gzip";
  xz = "/nix/store/4dx8ydq9aavfjklah4f45fd271vjnp6d-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/qrvj6bcm1vchvc2gigw7dmg7jm6dwl42-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/dcxhk5kbjlkkxm2j00vy738ngw99fbjr-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/6jwhak3cvsgnbqs540n27g8pxnk427fr-nix-2.3.16/bin";
  nixPrefix = "/nix/store/6jwhak3cvsgnbqs540n27g8pxnk427fr-nix-2.3.16";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/6jwhak3cvsgnbqs540n27g8pxnk427fr-nix-2.3.16/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
